Subject: bug#2541: 23.0.91; doc-view: unexpected scrolling after returning to text mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Sep 2019 15:32:41 +0200

Markus Triska <[email-masked]> writes:

> Given p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
> 1)   $ emacs -Q p.ps
>
> 2)   M-: (setq doc-view-ghostscript-options (list "-dSAFER" "-dNOPAUSE" "-sDEVICE=png16m" "-dTextAlphaBits=4" "-dBATCH" "-dGraphicsAlphaBits=4" "-dQUIET" "-dEPSCrop")) RET
>
> 3)   C-u - 1 M-r C-c C-c C-v C-c C-c
>
> then (as expected) doc-view returns to text mode, and point is on the
> same position where it was before entering graphics mode. When I then
> press C-p repeatedly, instead of moving point to the previous line,
> the text is unexpectedly scrolled down without moving point.

I tried this in Emacs 27, but was unable to reproduce the error -- `C-p'
moves around as usual, as far as I can tell.

Are you still seeing this problem in modern versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no